# Generated from mutability-1.0.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name mutability

Name: rubygem-%{gem_name}
Version: 1.0.3
Release: 1%{?dist}
Summary: Arrays and Hashes that retain their original identities, even after modification
License: MIT
URL: https://github.com/ksearfos/mutability
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rubocop)
# BuildRequires: rubygem(gem-release)
BuildArch: noarch

%description
Mutability is a module that provides the very simple ability to designate an
"original" version of an object that is frozen, and will not change even if
the working copy of the object does. The best example is a Hash or Array --
collections like those exist partly so they can be mutated in some way, either
by adding or removing elements or changing their order.  Now, rather than
having to establish a separate "original" version of the object (not to
mention dealing with the whole
ivars-act-like-pointers-and-can-get-magically-changed-oops problem), you can
use a MutableHash or MutableArray, and then change it to your heart's content.
The MutableHash/Array are built from the Mutability mix-in, so downloading
this gem also provides a library for you to add the same capabilities to any
other Class you might want.
Also included is the ability to revert to the original form with a single
method call.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Tue Apr 19 2022 mockbuilder - 1.0.3-1
- Initial package
